searchNodes=[{"doc":"Rigorous coercion of untrusted values to native primitive types","ref":"Coercion.html","title":"Coercion","type":"module"},{"doc":"Coerce and validate a value to the given type. Examples iex&gt; import Coercion # For demo purposes Coercion iex&gt; coerce(&quot; 20 &quot;, :integer) {:ok, 20} iex&gt; coerce(&quot; x&quot;, :integer) {:invalid, 0} iex&gt; coerce(&quot; TRue &quot;, :boolean) {:ok, true} iex&gt; coerce(&quot; T &quot;, :boolean) {:ok, true} iex&gt; coerce(&quot; y &quot;, :boolean) {:ok, true} iex&gt; coerce(&quot; Yes &quot;, :boolean) {:ok, true} iex&gt; coerce(&quot; 1 &quot;, :boolean) {:ok, true} iex&gt; coerce(&quot; TRu &quot;, :boolean) {:invalid, false} iex&gt; coerce(&quot; F &quot;, :boolean) {:ok, false} iex&gt; coerce(&quot; N &quot;, :boolean) {:ok, false} iex&gt; coerce(&quot; 0 &quot;, :boolean) {:ok, false} iex&gt; coerce(&quot; hello &quot;, :string) {:ok, &quot;hello&quot;} iex&gt; coerce(&quot; &quot;, :string) {:blank, &quot;&quot;} iex&gt; coerce(true, :string) {:ok, &quot;true&quot;} iex&gt; coerce(10.5, :string) {:ok, &quot;10.5&quot;} iex&gt; :bellow :bellow iex&gt; coerce(&quot;bellow&quot;, :atom) {:ok, :bellow} iex&gt; coerce(&quot; bellow &quot;, :atom) {:ok, :bellow} iex&gt; coerce(&quot;2020-04-02&quot;, :date) {:ok, ~D[2020-04-02]} iex&gt; coerce(:hello, :date) {:invalid, nil} iex&gt; coerce(&quot;2020-04-02T12:00:01Z&quot;, :datetime) {:ok, ~U[2020-04-02 12:00:01Z]} iex&gt; coerce(&quot;2020-04-02T12:00:01Z&quot;, :naive_datetime) {:ok, ~N[2020-04-02 12:00:01]}","ref":"Coercion.html#coerce/2","title":"Coercion.coerce/2","type":"function"},{"doc":"","ref":"Coercion.html#value/2","title":"Coercion.value/2","type":"function"},{"doc":"","ref":"Coercion.html#t:output_type/0","title":"Coercion.output_type/0","type":"type"},{"doc":"","ref":"Coercion.html#t:supported_type/0","title":"Coercion.supported_type/0","type":"type"},{"doc":"Coercion Coerce dirty values to clean Elixir primitive types, with validation. import Coercion {:ok, 20} = coerce(&quot; 20 &quot;, :integer) {:invalid, 0} = coerce(&quot; x&quot;, :integer) {:ok, true} = coerce(&quot; TRue &quot;, :boolean) {:ok, true} = coerce(&quot; T &quot;, :boolean) {:ok, true} = coerce(&quot; Y &quot;, :boolean) {:ok, true} = coerce(&quot; Yes &quot;, :boolean) {:ok, true} = coerce(&quot; 1 &quot;, :boolean) {:invalid, false} = coerce(&quot; TRu &quot;, :boolean) {:ok, false} = coerce(&quot; F &quot;, :boolean) {:ok, false} = coerce(&quot; N &quot;, :boolean) {:ok, false} = coerce(&quot; 0 &quot;, :boolean) {:ok, &quot;hello&quot;} = coerce(&quot; hello &quot;, :string) {:blank, &quot;&quot;} = coerce(&quot; &quot;, :string) {:ok, &quot;true&quot;} = coerce(true, :string) {:ok, &quot;10.5&quot;} = coerce(10.5, :string) {:ok, ~D[2020-04-02]} = coerce(&quot;2020-04-02&quot;, :date) {:ok, ~U[2020-04-02 12:00:01Z]} = coerce(&quot;2020-04-02T12:00:01Z&quot;, :datetime) {:ok, ~N[2020-04-02 12:00:01]} = coerce(&quot;2020-04-02T12:00:01Z&quot;, :naive_datetime) The primary use case is decoding values that come from external sources where everything is just a String. Example sources: URL-encoded values name=Kate&amp;age=40&amp;subscribed=Y CSV name,age,subscribed Kate,40,T XML &lt;row&gt; &lt;name&gt;Kate&lt;/name&gt; &lt;age&gt;40&lt;/age&gt; &lt;subscribed&gt;Yes&lt;/subscribed&gt; &lt;/row&gt; Ecto.Schema is often a good fit for this type of problem, but sometimes it&#39;s overkill.","ref":"readme.html","title":"Coercion","type":"extras"},{"doc":"The package can be installed by adding coercion to your list of dependencies in mix.exs: def deps do [{:coercion, &quot;~&gt; 1.1&quot;}] end Then, run mix deps.get, and you&#39;re ready to go. API Documentation: https://hexdocs.pm/coercion. License: https://github.com/moxley/coercion/blob/master/LICENSE","ref":"readme.html#installation","title":"Coercion - Installation","type":"extras"}]